/*
 * definition.h
 *
 *  Created on: Nov 28, 2019
 *  	Author: lab
 */

#ifndef DEFINITION_H_
#define DEFINITION_H_

#define LED_1    PTFD_PTFD3			//1 = zapnuto, 0 = vypnuto
#define LED_2    PTFD_PTFD2
#define LED_3    PTFD_PTFD1
#define LED_4    PTFD_PTFD0
#define LED_5    PTED_PTED5
#define LED_6    PTED_PTED4
#define LED_7    PTED_PTED3
#define LED_8    PTED_PTED2  

#define RED		1
#define GREEN	2
#define BLUE	3
#define YELLOW	4
#define AZURE	5
#define PINK	6
#define WHITE	7	

#define SD_ON_OFF		PTDD_PTDD0	//ovldn stepdownu
#define H_BRIDGE_SF		PTDD_PTDD1	//status flag (SF) H mstku
#define H_BRIDGE_D1		PTDD_PTDD6	//disable input (D1) H mstku - 1 = vypnut mstek, 0 = zapnut
#define H_BRIDGE_D2		PTDD_PTDD7	//enable input (D2) H mstku (sleep mode) - 0 = mstek sp, 1 = vzhru
#define H_BRIDGE_FB		PTBD_PTBD7	//zptn vazba (FB) z H mstku
#define LED_RGB_R    	PTDD_PTDD4	//erven RGB LED - 0 = zapnuto, 1 = vypnuto
#define LED_RGB_G    	PTDD_PTDD3	//zelen RGB LED
#define LED_RGB_B    	PTDD_PTDD2	//modr RGB LED

//detekce proudu na kanalech
#define detect_current_0    PTAD_PTAD0
#define detect_current_1    PTAD_PTAD1
#define detect_current_2    PTAD_PTAD2
#define detect_current_3    PTAD_PTAD3
#define detect_current_4    PTBD_PTBD4
#define detect_current_5    PTBD_PTBD5
#define detect_current_6    PTBD_PTBD6
#define detect_current_7    PTFD_PTFD4

//Mereni proudu - AD prevodnik
#define measure_current_0    	8	//ADCH8
#define measure_current_1    	9	//ADCH9
#define measure_current_2    	10	//ADCH10
#define measure_current_3    	11	//ADCH11
#define measure_current_4    	4	//ADCH4
#define measure_current_5    	5	//ADCH5
#define measure_current_6    	6	//ADCH6
#define measure_current_7    	7	//ADCH7
#define measure_total_current 	15	//ADCH15

#endif /* DEFINITION_H_ */



